stages:
  - build
build:
  stage: build
  script:
    - module load R/4.1.2-foss-2015a-bare
    - module load CDO/1.9.8-foss-2015a
    - module load GEOS/3.7.2-foss-2015a-Python-3.7.3
    - module load GDAL/2.2.1-foss-2015a
    - module load PROJ/4.8.0-foss-2015a
    - R CMD build --resave-data .
    - R CMD check --as-cran --no-manual --run-donttest esviz_*.tar.gz
    - R -e 'covr::package_coverage()'
